# Local File Imports
# (OPTIONAL) END USER TODO: Point to directory of parseFrame.py
from parseFrame import *

# add path to TLV binary file
# (OPTIONAL) END USER TODO: Add filepath to Python script using an argument parser
filepath = "binData/<INSERT BIN FILE HERE>"

def parseBin(filepath):
    # output list of decoded TLV data
    tlvDecoded = []
    with open(filepath, "rb") as f:
        # read entire binary file
        binaryFileData = bytearray(b'')
        binaryFileData = f.read()
        # separate out individual frames using magic word; first element is always b'' so skip it
        frames = binaryFileData.split(UART_MAGIC_WORD)[1:]
        for frameData in frames:
            tlvDecoded.append(parseStandardFrame(UART_MAGIC_WORD + frameData)) # magic word needs to be added back for parseStandardFrame to work
    return tlvDecoded

def main():
    print("Parsing binary data . . . ")
    # parse through TLV binary file
    tlvDecoded = parseBin(filepath)
    # END USER TODO: use decoded TLV data for application

if __name__ == "__main__":
    main()